# -*- coding: utf-8 -*-
""" Neo-Modus Direct Connect Protocol Package """
from protocol import NMDC

class NMDCClientToHub(NMDC):
    def nmdc_BadPass(self):
        pass

    def nmdc_BotList(self):
        pass

    def nmdc_Close(self):
        pass

    def nmdc_ConnectToMe(self):
        pass

    def nmdc_ForceMove(self):
        pass

    def nmdc_GetNickList(self):
        pass

    def nmdc_GetPass(self):
        pass
    
    def nmdc_Hello(self, params):
        self.sendLine("$Version 1,0091|$GetNickList|$MyINFO $ALL twistedbot TEST<++ V:0.698,M:A,H:1/0/0,S:5>$ $0.005$$0$|")
        #self.makeAnswer("Version","1,0099")
        #self.makeAnswer("GetNickList","")
        #self.makeAnswer("MyINFO","$ALL twistedbot<++ V:0.698,M:A,H:1/0/0,S:5>$ $0.005$$0$")

    def nmdc_HubIsFull(self):
        pass

    def nmdc_HubName(self, params):
        pass

    def nmdc_HubTopic(self):
        pass

    def nmdc_Key(self, params):
        print "nmdc_Key"
        pass

    def nmdc_Kick(self):
        pass

    def nmdc_Lock(self, params):
        from tools.dctools import createKey
        keylock = createKey(params)
        print "nmdc_Lock: %s" %keylock
        self.makeAnswer("Supports",
                "UserCommand NoGetINFO NoHello UserIP2 TTHSearch ZPipe0")
        self.makeAnswer("Key", keylock)
        self.makeAnswer("ValidateNick", "twistedbot")

    def nmdc_LogedIn(self):
        pass

    def nmdc_MyINFO(self):
        pass

    def nmdc_MyPass(self):
        pass

    def nmdc_NickList(self):
        pass

    def nmdc_OpForceMove(self):
        pass

    def nmdc_OpList(self):
        pass

    def nmdc_Quit(self):
        pass

    def nmdc_RevConnectToMe(self):
        pass

    def nmdc_Search(self):
        pass

    def nmdc_SR(self):
        pass

    def nmdc_Supports(self, params):
        pass

    def nmdc_UserCommand(self):
        pass

    def nmdc_UserIP(self):
        pass

    def nmdc_Version(self):
        pass

    def nmdc_ValidateNick(self):
        pass

    def nmdc_ValidateDenide(self):
        pass

